// pages/Voucher/write/write.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    orderId: null,
    tcId: null,
    GuestId: null,
    list: [],
    imgList: [],
    tag: [
      {
        id: 0,
        name: '交通攻略',
        content: '',
      },{
        id: 1,
        name: '营业时间',
        content: '',
      }, {
        id: 2,
        name: '详细地址',
        content: '',
      }, {
        id: 3,
        name: '人均消费',
        content: '',
      }, {
        id: 4,
        name: '特色推荐',
        content: '',
      }, {
        id: 5,
        name: '行程路线',
        content: '',
      }, {
        id: 6,
        name: '玩法推荐',
        content: '',
      }, {
        id: 7,
        name: '实用提示',
        content: '',
      }, {
        id: 8,
        name: '行程路线',
        content: '',
      }
    ]
  },
  //选择标签
  clickTag: function (e) {
    let index = e.target.id
    
  },
  // 删除图片
  deleteImg: function (e) {
    let index = e.target.id
    this.data.imgList.splice(index, 1)
    let _this = this;
    console.log(this.data.imgList)
    this.setData({
      imgList: _this.data.imgList
    })
  },
  // 选择图片
  chooseImage: function () {
    let _this = this;
    wx.chooseImage({
      count: 9,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success(res) {
        let arr = _this.data.imgList
        const tempFilePaths = res.tempFilePaths
        res.tempFilePaths.map(x=>{
          if (arr.length >= 9) {
            wx.showToast({
              title: '最多上传9张图片！',
              icon: 'none',
              duration: 1000
            })
            return
          }
          arr.push(x)
        })
        _this.setData({
          imgList: arr
        })
        console.log(arr)
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //修改title
    wx.setNavigationBarTitle({
      title: '写游记，领奖品'
    })
    this.setData({
      orderId: options.orderId,
      tcId: options.tcId,
      GuestId: options.GuestId,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})